package com.fr.plugin.xxx.report.creator;

import com.fr.data.NetworkHelper;
import com.fr.general.ComparatorUtils;
import com.fr.plugin.xxx.report.core.SPTemplateReportlet;
import com.fr.plugin.xxx.report.link.ReportletCreator;
import com.fr.stable.web.TemplatePathNode;
import com.fr.stable.web.Weblet;
import com.fr.web.reportlet.OldWeblet;

import javax.servlet.http.HttpServletRequest;
import javax.servlet.http.HttpServletResponse;

/**
 * @author 秃破天际
 * @version 10.0
 * Created by 秃破天际 on 2020-04-01
 **/
public class SPReportletCreator extends ReportletCreator {
    public static final SPReportletCreator KEY = new SPReportletCreator();

    @Override
    public Weblet createWebletByRequest(HttpServletRequest req, HttpServletResponse res){
        TemplatePathNode pathNode = queryPath(req);
        String reportlet = pathNode.getPath();
        if (oldWebletOrServletCheck(req, pathNode)) {
            return OldWeblet.asOldReportlet(reportlet);
        }
        // 暂时兼容cptx从cpt格式中读取
        if (ComparatorUtils.equals(NetworkHelper.getHTTPRequestParameter(req, FORMAT), X)) {
            return new SPTemplateReportlet(reportlet + X);
        }
        return new SPTemplateReportlet(reportlet);
    }


}
