package com.fr.plugin.xxx.report.core;

import com.fr.main.TemplateWorkBook;
import com.fr.web.WebletException;
import com.fr.web.reportlet.TemplateReportlet;
import com.fr.web.request.ReportletRequest;

/**
 * @author 秃破天际
 * @version 10.0
 * Created by 秃破天际 on 2020-04-01
 **/
public class SPTemplateReportlet extends TemplateReportlet {

    public SPTemplateReportlet(String path) {
        super(path);
    }

    private final static BuilderProvider[] builders = new BuilderProvider[]{
        new ViewSheetBuilder("CONF_SHEET_GROUP","id","group"),
        new ViewWidgetBuilder("CONF_WIDGET","id","group")//,
        //new SheetNameBuilder("CONF_SHEET","id","name")
    };

    @Override
    public TemplateWorkBook createReport( ReportletRequest request ) throws WebletException{
        TemplateWorkBook book = super.createReport(request);
        for( BuilderProvider builder : builders ){
            try{
                builder.build(book,request);
            }catch(Exception e){
            }
        }
        return book;
    }
}
